Bug 261989 - Kopete: 'Now Listening' reads songs from Amarok duplicated [Fixed: and does not forward new status message to Skype]
Summary: Kopete: 'Now Listening' reads songs from Amarok duplicated [Fixed: and does n...
Status: REOPENED
Alias: None
Product: kopete
Classification: Applications
Component: Now Listening Plugin (show other bugs)
Version: SVN
Platform: OpenSUSE Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Kopete Developers
URL:
Keywords:
Depends on: 155865 222147
Blocks:
  Show dependency treegraph
 
Reported: 2011-01-03 19:14 UTC by Johannes Obermayr
Modified: 2021-03-09 22:41 UTC (History)
4 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
ksnapshot (80.31 KB, image/png)
2011-01-03 19:14 UTC, Johannes Obermayr
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Johannes Obermayr 2011-01-03 19:14:16 UTC
Created attachment 55529 [details]
ksnapshot

Version:           SVN (using Devel) 
OS:                Linux

Kopete current svn snapshot, Amarok latest git snapshot:

'Now Listening' plugin reads songs from Amarok duplicated and does not forward changed status message to Skype automatically.
But when I press 'OK' it will be forwarded to Skype (duplicated song entry).

It is a regression since it did not happen with KDE SC 4.5.

ksnapshot should explain what I mean.

It happens on two systems.

Reproducible: Always
Comment 1 Mario Bensi 2011-04-08 22:07:00 UTC
Hi

I have the same problem

After check the code of plugin, the problem is we have 2 now listening player for Amarok, the first is nlAmarok and the second is nlmpris. 

Amarok implement the mpris (Media Player Remote Interfacing Specification).

I think the simple way to fix this is to remove the nlAmarok, another solution is to remove the nlAmarok of the list of nlplayer in nowlisteningplugin object if the mpris find amarok.

are you agree with me ?

Mario
Comment 2 Lamarque V. Souza 2011-04-08 22:17:46 UTC
This has already been fixed for KDE SC 4.6.3. Your assumption is wrong, if you select nlmpris in Kopete it will silently revert to nlAmarok. The real problem is fixed in http://bugs.kde.org/222147
Comment 3 Johannes Obermayr 2011-07-01 20:13:01 UTC
KDE 4.6.90:
The issue regarding forwarding to Skype has been fixed but the one regarding duplicated reading from Amarok not.
Comment 4 David 2011-08-03 19:59:16 UTC
I can confirm this issue to be present in KDE 4.7.0 (it detects the song played duplicated)
Comment 5 Lamarque V. Souza 2011-08-03 20:14:25 UTC
Is stills works for me: SC 4.7.0, Amarok 2.4.3, using gtalk, jabber, WLM and Skype, all of them working as expected.
Comment 6 Johannes Obermayr 2011-08-24 14:52:10 UTC
I can solve it if I change in Configuration Dialog -> Media Player -> Use selected Media Player (mark or unmark) and then press OK for the current session.

On the next session I must revert the above step to fix it again (for the now running session).

David, does this help for you, too?
Comment 7 David 2011-08-26 15:48:45 UTC
Yes indeed, sorry for the delay.
In fact this seems the cause of this bug, if I set amarok to player, then it works OK.
So it seems a problem in player's autodetection.
Comment 8 David 2011-08-26 15:50:30 UTC
I add more info: If I set up amarok as player in config, it works good, but if I don't specify player, it works bad again.
So it seems it only fails when a player is not explicitelly selected in config.
Comment 9 madgenius 2012-09-05 01:35:00 UTC
Using KDE 4.9 (release 559) and Kopete 1.3.0.

Had the issue with the 'Now Listening' plugin duplicating track, artist and album info. I selected amarok as the media player, and the issue is solved.

However, when I am logged into multiple accounts (gtalk, yahoo, msn), only one of the accounts shows the music track as the current status. The other accounts just show up as 'online'.

Any ideas on how I can fix this?
Comment 10 madgenius 2012-09-05 01:36:39 UTC
Sorry about that - please ignore my comment above. Logout/login of kopete didn't work, but it seems to be fixed once I logged out & logged into a new KDE session.

Cheers.
Comment 11 Justin Zobel 2021-03-09 22:41:06 UTC
Thank you for the bug report.

As this report hasn't seen any changes in 5 years or more, we ask if you can please confirm that the issue still persists.

If this bug is no longer persisting or relevant please change the status to resolved.